<?php
/*
Plugin Name: Flamix: Bitrix24 and WooCommerce Products Sync
Plugin URI: https://flamix.solutions/bitrix24/warehouse/sync_products.php
Description: Flamix Bitrix24 and WooCommerce Products Sync by CommerceML.
Author: Roman Shkabko (Flamix)
Version: 1.4.1
Author URI: https://flamix.info
License: GPLv2
*/

defined('ABSPATH') || exit;

use FlamixLocal\Exchange\Settings\Setting;
use FlamixLocal\Exchange\Woo\Exchange as StartExchange;
use Flamix\CommerceML\Init as SyncHelpers;
use Flamix\Plugin\Init as FlamixPlugin;

/**
 * PHP_INI params and check PHP version
 */
ini_set('max_execution_time', 240);
ini_set('post_max_size', '512M');

if (version_compare(PHP_VERSION, '7.4.0') < 0) {
    add_action('admin_notices', function () { echo '<div class="error notice"><p><b>Flamix Bitrix24 WooCommerce Product Sync</b>: Upgrade your PHP version. Minimum version - 7.4+. Your PHP version ' . PHP_VERSION . '! If you don\'t know how to upgrade PHP version, just ask in your hosting provider! If you can\'t upgrade - delete this plugin!</p></div>';});
    return false;
}

/**
 * Init
 */
include_once __DIR__ . '/includes/vendor/autoload.php';
$flamix_plugin = FlamixPlugin::init(__DIR__, 'FLAMIX_EXCHANGE_PLUGIN')->setLogsPath(WP_CONTENT_DIR . '/uploads/flamix');
SyncHelpers::init(__DIR__);

/**
 * 1. Register menu
 * 2. Create EXTERNAL_ID to Category and Attribute
 */
if (is_admin()) {
    add_action('wp_loaded', [Setting::class, 'init']);
}

/**
 * Starting exchange (waiting when WP loaded)
 */
if (($_GET['flamix_product'] ?? false) === 'Y') {
    add_action('wp_loaded', [StartExchange::class, 'start']);
}