<?php

use Flamix\Plugin\General\Checker;
use Flamix\CommerceML\Operations\Files;
use FlamixLocal\Exchange\Settings\Setting;

?>
<h2><?php _e('Diagnostics', FLAMIX_EXCHANGE_PLUGIN_CODE); ?></h2>
<ul>
    <li><?php echo Checker::params(__('Product find by', FLAMIX_EXCHANGE_PLUGIN_CODE), (bool)Setting::getOption('product_find_by', false), [
            Setting::getOption('product_find_by', false),
            __('Not selected! Please, select "Product find by" options!', FLAMIX_EXCHANGE_PLUGIN_CODE),
        ]); ?></li>
    <li><?php echo Checker::params(__('WooCommerce Plugin activated', FLAMIX_EXCHANGE_PLUGIN_CODE), Checker::isPluginActive('woocommerce/woocommerce.php'), [
            __('Yes', FLAMIX_EXCHANGE_PLUGIN_CODE),
            __('No. You must install <a href="https://wordpress.org/plugins/woocommerce/" target="_blank">plugin</a>!', FLAMIX_EXCHANGE_PLUGIN_CODE),
        ]); ?></li>
    <li><?php echo Checker::params('cURL', extension_loaded('curl')); ?></li>
    <li><?php echo Checker::params('SSL', is_ssl()); ?></li>
    <li><?php echo Checker::params('PHP version', version_compare(PHP_VERSION, '7.4.0') >= 0, [
            sprintf(__('OK (%s)', FLAMIX_EXCHANGE_PLUGIN_CODE), PHP_VERSION),
            sprintf(__('Bad PHP version (%s)! Update PHP version on your hosting!', FLAMIX_EXCHANGE_PLUGIN_CODE), PHP_VERSION),
        ]); ?></li>
    <li><?php echo Checker::params(sprintf(__('PHP configuration option "%s"', FLAMIX_EXCHANGE_PLUGIN_CODE), 'max_execution_time'), function () {
            ini_set('max_execution_time', 240);
            if (ini_get('max_execution_time') >= 240)
                return true;

            return false;
        }, [
            ini_get('max_execution_time'),
            ini_get('max_execution_time') . '. ' . sprintf(__("We try to increase by set_time_limit(%s), but it doesn't work. This is a hosting issue!", FLAMIX_EXCHANGE_PLUGIN_CODE), 240)
        ]); ?></li>
    <li><?php echo Checker::params(sprintf(__('PHP configuration option "%s"', FLAMIX_EXCHANGE_PLUGIN_CODE), 'post_max_size'), function () {
            ini_set('post_max_size', '512M');
            if (ini_get('post_max_size') >= '512M' || ini_get('post_max_size') > 512000)
                return true;

            return false;
        }, [
            ini_get('post_max_size'),
            ini_get('post_max_size') . '. ' . sprintf(__("We try to increase by ini_set('post_max_size', '%s'), but it doesn't work. This is a hosting issue!", FLAMIX_EXCHANGE_PLUGIN_CODE), '512M'),
        ]); ?></li>
    <li><?php echo Checker::params(__('Upload path (for debug)', FLAMIX_EXCHANGE_PLUGIN_CODE), true, [Files::exchange()->getPath()]); ?></li>
</ul>