<?php

use Flamix\Plugin\WP\Markup;
use FlamixLocal\Exchange\Settings\Setting;

?>
<form method="post" action="options.php">
    <?php settings_fields(Setting::getOptionName('group')); ?>
    <table class="form-table">
        <?php Markup::markup_input(Setting::getOptionName('lead_domain'), [
            'value' => Setting::getOption('lead_domain'),
            'label' => __('Bitrix24 Portal Domain', FLAMIX_EXCHANGE_PLUGIN_CODE),
            'placeholder' => 'company.bitrix24.com',
            'description' => __('Your Bitrix24 portal domain', FLAMIX_EXCHANGE_PLUGIN_CODE),
        ]); ?>

        <?php Markup::markup_input(Setting::getOptionName('lead_api'), [
            'value' => Setting::getOption('lead_api'),
            'label' => __('Flamix Plugin Secret Key', FLAMIX_EXCHANGE_PLUGIN_CODE),
            'placeholder' => 'xxxxxx.....xxxxx',
            'description' => __('Your Flamix Secret KEY (Do not confuse with License Key). Read FAQ <a href="https://flamix.solutions/about/contacts.php#FAQ" target="_blank">Where can I get the secret integration key</a>', FLAMIX_EXCHANGE_PLUGIN_CODE),
        ]); ?>

        <?php Markup::markup_select(Setting::getOptionName('product_find_by'), [
            'value' => Setting::getOption('product_find_by'),
            'options' => [
                'EXTERNAL_ID' => __('EXTERNAL_ID (Recommended)', FLAMIX_EXCHANGE_PLUGIN_CODE),
                'SKU' => __('Product SKU', FLAMIX_EXCHANGE_PLUGIN_CODE),
                'ID' => __('Product ID (Not recommended)', FLAMIX_EXCHANGE_PLUGIN_CODE),
            ],
            'label' => __('Product find by', FLAMIX_EXCHANGE_PLUGIN_CODE),
            'description' => __('We have already created the EXTERNAL_ID field and will fill it in automatically. We recommend using this field!', FLAMIX_EXCHANGE_PLUGIN_CODE),
        ]); ?>
    </table>

    <input type="submit" class="button-primary" value="<?php _e('Save', FLAMIX_EXCHANGE_PLUGIN_CODE); ?>"/>
</form>